Subject: Re: [PATCH] [POWERPC][RFC] MPC8360E-RDK: Device tree and board file

From: Scott Wood <[email-masked]>
Date: Tue, 18 Dec 2007 10:16:49 -0600

David Gibson wrote:
> In this case the driver and binding have been developed together and
> for the time being it does require PHY nodes, obviously.  I'm saying
> that maybe that requirement ought to be changed.

I don't see why.

> Well, phandle is only used to find the phy node itself, so it doesn't
> count.  The only piece of information there is the reg - the PHY id.
> Following a phandle to another node is a fairly complex way of finding
> a single integer.  
> 
> Eh, I guess it's ok, but just directly giving the PHY id or a probe
> mask in the MAC node would also be fine (we do this for 4xx EMAC).

It's not just a simple integer -- it also tells you which mdio bus it's on.

-Scott